Bug 477536 - URL installation requires password question for anonymous ftp
URL installation requires password question for anonymous ftp
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sivák
Alexander Todorov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 13:34 EST by Kai Schaetzl
Modified: 2009-09-02 05:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:56:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 3310 None None None Never

  None (edit)
Description Kai Schaetzl 2008-12-21 13:34:47 EST
Description of problem:
An installation that retrieves kickstart file and packages from an FTP server that doesn't ask for a password fails because the installer (anaconda?) expects a password question.

How reproducible: always

Steps to Reproduce:
1. add "no_anon_password=YES" option in vsftpd.conf and restart vsftpd
2. use that FTP server as an installation source:
- pxelinux config: ks=ftp://
- kickstart file: url --url ftp://
  
Actual results:
Installer connects to server, issues the user command and gets a "230 Login successful" response. However, it seems to wait for a "331 Please specify the password." response and thus hangs at this point forever. This happens for the initial retrieval of the kickstart file and for retrieval of the packages.

Expected results:
Installation should proceed once the server has acknowledged successful login (230 Login successful).
Comment 1 Chris Lumens 2009-01-06 10:21:58 EST
Potential fix on rawhide that would need to be backported and tested:

http://git.fedoraproject.org/git/?p=anaconda.git;a=commitdiff;h=4a78895e30e5e5a33fc46da6134fa3f3aea7902a;hp=5299d19ecf85a51d1a9972d59ac151b336d07b56
Comment 2 RHEL Product and Program Management 2009-02-03 18:13:57 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Chris Lumens 2009-03-16 12:02:09 EDT
There was a bug in the previously referenced fix.  We'll need to merge in the patch from bug 490350 as well to make this work in all cases.
Comment 5 Martin Sivák 2009-04-03 03:20:24 EDT
The fix will be available in anaconda 11.1.2.169
Comment 7 Alexander Todorov 2009-05-11 08:54:08 EDT
VERIFIED with anaconda-11.1.2.172-1
Comment 9 errata-xmlrpc 2009-09-02 05:56:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1306.html

Note You need to log in before you can comment on or make changes to this bug.